perl-Catalyst-ActionRole-RequireSSL-0.07-alt1.noarch.rpm


Advertisement

Description

perl-Catalyst-ActionRole-RequireSSL - Force an action to be (in)secure only

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package name perl-Catalyst-ActionRole-RequireSSL
Package version 0.07
Package release alt1
Package architecture noarch
Package type rpm
Installed size 22.71 KB
Download size 22.71 KB
Official Mirror ftp.altlinux.org
package MyApp::Controller::Foo;.
use parent qw/Catalyst::Controller::ActionRole/;
sub bar : Local Does('RequireSSL') { ... }
sub bar : Local Does('NoSSL') { ... }

Alternatives

Package Version Architecture Repository
perl-Catalyst-ActionRole-RequireSSL - - -

Requires

Name Value
/usr/share/perl5 -
perl(Moose/Role.pm) -
perl(namespace/autoclean.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Catalyst/ActionRole/NoSSL.pm) = 0.070
perl(Catalyst/ActionRole/RequireSSL.pm) = 0.070
perl(Catalyst/ActionRole/RequireSSL/Role.pm) = 0.070
perl-Catalyst-ActionRole-RequireSSL = 0.07-alt1

Download

Type URL
Binary Package perl-Catalyst-ActionRole-RequireSSL-0.07-alt1.noarch.rpm
Source Package perl-Catalyst-ActionRole-RequireSSL-0.07-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Catalyst-ActionRole-RequireSSL rpm package:
    # sudo apt-get install perl-Catalyst-ActionRole-RequireSSL

Files

Path
/usr/share/doc/perl-Catalyst-ActionRole-RequireSSL-0.07/Changes
/usr/share/doc/perl-Catalyst-ActionRole-RequireSSL-0.07/LICENSE
/usr/share/doc/perl-Catalyst-ActionRole-RequireSSL-0.07/README
/usr/share/perl5/Catalyst/
/usr/share/perl5/Catalyst/ActionRole/NoSSL.pm
/usr/share/perl5/Catalyst/ActionRole/RequireSSL.pm
/usr/share/perl5/Catalyst/ActionRole/RequireSSL/Role.pm

See Also

Package Description
perl-Catalyst-ActionRole-Tabs-0.003000-alt1.noarch.rpm Add tabs to Catalyst controller actions
perl-Catalyst-ActionSignatures-0.011-alt1.noarch.rpm Dependency Injection via method signatures
perl-Catalyst-Authentication-Credential-Authen-Simple-0.09-alt1.noarch.rpm Verify credentials with the Authen::Simple framework
perl-Catalyst-Authentication-Credential-CAS-0.05-alt1.noarch.rpm Catalyst support for JA-SIG's Central Authentication Service
perl-Catalyst-Authentication-Credential-Crowd-0.07-alt1.noarch.rpm Authenticate a user using Crowd REST Service
perl-Catalyst-Authentication-Credential-FBConnect-0.01-alt1.noarch.rpm Facebook credential for Catalyst::Plugin::Authentication framework
perl-Catalyst-Authentication-Credential-Facebook-0.01000-alt1.noarch.rpm Facebook authentication module for Catalyst
perl-Catalyst-Authentication-Credential-Facebook-OAuth2-0.02-alt1.noarch.rpm Authenticate your Catalyst application's users using Facebook's OAuth 2.0
perl-Catalyst-Authentication-Credential-Fallback-1.001-alt1.noarch.rpm Try a list of AuthN Realms until one succeeds or all fail
perl-Catalyst-Authentication-Credential-Flickr-0.04-alt1.noarch.rpm Flickr authentication for Catalyst
perl-Catalyst-Authentication-Credential-HTTP-1.018-alt1_5.noarch.rpm HTTP Basic and Digest authentication for Catalyst
perl-Catalyst-Authentication-Credential-HTTP-Proxy-0.06-alt1.noarch.rpm HTTP Proxy authentication
perl-Catalyst-Authentication-Credential-MultiFactor-1.2-alt1.noarch.rpm perl module Catalyst-Authentication-Credential-MultiFactor
perl-Catalyst-Authentication-Credential-OAuth-0.04-alt1.noarch.rpm OAuth credential for Catalyst::Plugin::Authentication framework
perl-Catalyst-Authentication-Credential-OpenID-0.19-alt3_8.noarch.rpm OpenID credential for Catalyst::Plugin::Authentication framework
Advertisement
Advertisement